package com.ovital.locate;
import com.ovital.locate.IOvLocationSrvCallback;

interface IOvLocationSrv{


	// 客户端调用服务器的接口

	boolean start();
	boolean stop();
	boolean isStarted();
	boolean requestLoc();
	
	Location getLastValidGpsLocation();
	
	void registerCallback(IOvLocationSrvCallback cb);
	void unregisterCallback(IOvLocationSrvCallback cb);
	
	boolean setbCfgWifi(boolean bCfgWifi);
	boolean setbCfgGps(boolean bCfgGps);
	boolean setlTmScanSpan(long lTmScanSpan);
	
	boolean isUseWifi();
	boolean isUseGps();
	
	int getGpsCount();
	
}